Bug 508715 - KMS:Mobility X1400 Minor rendering glitches
KMS:Mobility X1400 Minor rendering glitches
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-29 11:21 EDT by Mark Gunstrom
Modified: 2010-05-24 16:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-05-24 16:06:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Example picture of the checkbox glitches (1.20 KB, image/png)
2009-06-29 11:25 EDT, Mark Gunstrom
no flags Details
Dmesg log (42.77 KB, text/plain)
2009-06-30 20:02 EDT, Mark Gunstrom
no flags Details
Xorg log (76.58 KB, text/plain)
2009-06-30 20:05 EDT, Mark Gunstrom
no flags Details

  None (edit)
Description Mark Gunstrom 2009-06-29 11:21:45 EDT
Description of problem:
Things like check GTK-check boxes, radio buttons, etc have artefacts displaying below them when using the radeon driver with x1400 hardware.  The radeonhd driver displays the check boxes correctly.

Version-Release number of selected component (if applicable):
Name       : xorg-x11-drv-ati
Arch       : x86_64
Version    : 6.12.2
Release    : 14.fc11

Name       : xorg-x11-server-Xorg
Arch       : x86_64
Version    :
Release    : 1.fc11

Name       : kernel
Arch       : x86_64
Version    :
Release    : 191.fc11

How reproducible:
Only on x1400.. can't reproduce on a ATI Mobility x1100 hardware.

Steps to Reproduce:
1. Use radeon driver on x1400 hardware
2. View a GTK check box (from firefox, any application, really)
Actual results:
Rendering artefacts.  See attached picture.

Expected results:
No rendering artefacts.

Additional info:
- Mode setting disabled (nomodeset)
- ThinkPad T60 laptop
Comment 1 Mark Gunstrom 2009-06-29 11:25:25 EDT
Created attachment 349798 [details]
Example picture of the checkbox glitches
Comment 2 Matěj Cepl 2009-06-30 19:09:56 EDT
Thanks for the bug report. I guess something is not set right. We might need to know what Xorg thinks about your graphics card and monitor.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Mark Gunstrom 2009-06-30 20:02:43 EDT
Created attachment 350035 [details]
Dmesg log
Comment 4 Mark Gunstrom 2009-06-30 20:05:50 EDT
Created attachment 350036 [details]
Xorg log
Comment 5 Mark Gunstrom 2009-06-30 20:15:03 EDT
I've attached the dmesg and xorg logs.  I'm not using an xorg.conf file.  Thanks.
Comment 6 Matěj Cepl 2009-11-05 13:33:24 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Mark Gunstrom 2009-11-07 07:32:55 EST
I still experience this problem with both an up-to-date Fedora 11 system, and also the nightly 11/04 build of the Fedora 12 beta with KMS disabled (nomodeset).

I cannot reproduce the glitches when using KMS.
Comment 8 Bug Zapper 2010-04-27 11:20:50 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Vedran Miletić 2010-05-24 16:06:01 EDT
Closing as worksforme per comment 7. UMS is no longer getting much attention.


Fedora Bugzappers volunteer triage team

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]

Note You need to log in before you can comment on or make changes to this bug.